package com.shr;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;

/**
 * @author Inori
 */
@ServletComponentScan("com.shr.filter")
@SpringBootApplication
public class ShrApplication extends SpringBootServletInitializer {
    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        return application.sources(ShrApplication.class);
    }

    public static void main(String[] args) {
        SpringApplication.run(ShrApplication.class, args);
    }


}
